Point Numbers

Discussion of MicroSurvey CAD related issues and questions.

Moderators: Brian Sloman, Jason Poitras, James Johnston

Point Numbers

Postby cathy » Fri Jun 09, 2006 7:04 am

When I open an old drawing or create a new one, the point numbers are always showing, even if I turn off or freeze the pointnumber layer. When I zoom in they get smaller and when I zoom out they get bigger. I can't do a properties or anything on them, as soon as I go to outline them in a box they disappear, and when I regen they come back again. Is there some setting where I can turn this "visible point numbers" off?
Thanks. And again, I would really appreciate any input why in this LISP program the blocks do not rotate to the angle of the line. It seems logical, and it worked in MSCAD2002, not too sure what else to try.


(DEFUN C:BLINE ()
;
; Suppress the command line echo
;

(SETVAR "CMDECHO" 0)
;
; Prompt the user for the name of the block to insert
;
(SETQ BNAME (GETSTRING "BLOCK NAME: "))
;
; Print a newline to clear the command line
;
(TERPRI)
;
; Prompt the user for the first insertion point
;
(SETQ P1 (GETPOINT "FROM POINT: "))
;
; Print a newline
;
(TERPRI)
;
; Prompt the user for the end of the insertion line
;
(SETQ P2 (GETPOINT "TO POINT: "))
;
; Print a newline
;
(TERPRI)
;
; Find the distance from first to second point
;
(SETQ PDIST (DISTANCE P1 P2))
;
; Find the angle in radians from the first to the second point
;
(SETQ PANG (ANGLE P1 P2))
;
; Prompt for the distance between each successive block insertion
;
(SETQ IDIST (GETDIST P1 "OFFSET DISTANCE: "))
;
; Divide the total distance to cover by the distance between each
; block and convert that value to an integer
;
(SETQ INUM (FIX (/ PDIST IDIST)))
;
; Set the counter to 0
;
(SETQ COUNT 0)
;
; As long as the counter is less than the total number of blocks
; to insert...
;
(WHILE (< COUNT INUM)
;
; Insert the block at P1 with an X scale of 1, a Y scale of 1, and
; a rotation equal to the angle between P1 and P2
;
(COMMAND "INSERT" BNAME P1 "1" "1" PANG)
;
; Set the next insertion point
;
(SETQ P1 (POLAR P1 PANG IDIST))
;
; Increase the counter by 1 and repeat the "While" loop
;
(SETQ COUNT (1+ COUNT))
)
)
cathy
 
Posts: 5
Joined: Wed Jun 07, 2006 11:19 am

Postby kevinnem » Fri Jun 09, 2006 7:59 am

Is it possible that you have the independent point numbers on?

Try typeing "IPN"
releated, is also "IPD" for descriptions.


PS you could have just come up to the 6th floor and asked me. :)
kevinnem
 
Posts: 20
Joined: Fri Jun 09, 2006 7:57 am

Postby Glen Cameron » Fri Jun 09, 2006 8:16 am

IPN was in MSCAD2004 as well but it defaulted to OFF - in MSCAD2005 it defaults to ON.

I would bring up the IPN Toolbar from the MsPoints menu - then you can turn them on and off as desired by picking the button on the toolbar. As was mentioned, there is also a IPD for descritpions and IPE for elevations, both of which default OFF.

Cheers,
Glen W. Cameron, C.E.T.
City of North Bay, Ontario
Glen Cameron
 
Posts: 1395
Joined: Fri Nov 08, 2002 12:18 pm
Location: Corbeil, Ontario, Canada


Return to MicroSurvey CAD

Who is online

Users browsing this forum: No registered users and 1 guest

cron